Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.looksgood.ani.easing
Class Easing

    java.lang.Object
      de.looksgood.ani.easing.Easing

All Implemented Interfaces:
  AniConstants

Direct Known Subclasses:
  Back, Bounce, Circ, Cubic, CustomEasing, Elastic, Expo, Linear, Quad, Quart, Quint, Sine

    public abstract class Easing

extends java.lang.Object
implements AniConstants

The abstract class Easing, which maps time to position.

Field Summary
`int` | `easingMode`

Fields inherited from interface de.looksgood.ani.AniConstants
`ANI_DEBUG_PREFIX, AUTOSTART, BACK_IN, BACK_IN_OUT, BACK_OUT, BACKWARD, BOUNCE_IN, BOUNCE_IN_OUT, BOUNCE_OUT, CIRC_IN, CIRC_IN_OUT, CIRC_OUT, CUBIC_IN, CUBIC_IN_OUT, CUBIC_OUT, ELASTIC_IN, ELASTIC_IN_OUT, ELASTIC_OUT, EXPO_IN, EXPO_IN_OUT, EXPO_OUT, FORWARD, FRAMES, IN, IN_OUT, LINEAR, NO_AUTOSTART, NO_OVERWRITE, ON_DELAY_END, ON_END, ON_START, ON_UPDATE, OUT, OVERWRITE, QUAD_IN, QUAD_IN_OUT, QUAD_OUT, QUART_IN, QUART_IN_OUT, QUART_OUT, QUINT_IN, QUINT_IN_OUT, QUINT_OUT, SECONDS, SINE_IN, SINE_IN_OUT, SINE_OUT, VERSION, YOYO`

Constructor Summary
`Easing()`

Method Summary
`float` | `calcEasing(float t, float b, float c, float d)` Calc easing: map time to position.
`void` | `setMode(int theEasingMode)` Set the shape mode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### easingMode

    public int easingMode

Constructor Detail

### Easing

    public Easing()

Method Detail

### calcEasing

    public final float calcEasing(float t,
                                  float b,
                                  float c,
                                  float d)

  Calc easing: map time to position.

  Parameters:
    `t` - the time
    `b` - the begin
    `c` - the change
    `d` - the duration
  Returns:
    the float

### setMode

    public final void setMode(int theEasingMode)

  Set the shape mode

  Parameters:
    `theEasingMode` - IN, OUT, IN_OUT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library Ani by Benedikt Gross. (c) 2015